
Zyxel MGS3520-28F Managed L2 Black
Model MGS3520-28FPart no. MGS3520-28F-EU01V1FEAN 4718937582211
34 specifications
- Weight3.72 kg
- ColourBlack
- Switch typeManaged
- Combo SFP ports quantity4
- 10G supportNo
- MAC address table16000 entries
Overview
- Weight
- 3.72 kg
- Colour
- Black
- Switch type
- Managed
- Combo SFP ports quantity
- 4
- 10G support
- No
- MAC address table
- 16000 entries
- Brand
- Zyxel
- Category
- Network Switch
- Model
- MGS3520-28F
- Part numbers
- MGS3520-28F-EU01V1F, 3176
- EAN / UPC
- 4718937582211
- Also known as
- Zyxel MGS3520-28F Managed L2 Black
Specifications
34 specifications in 11 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Switch layer | L2 |
| Web-based management | Yes |
| MIB support | RFC 1066, RFC 1213, 1157, RFC 1493,RFC 1643, RFC 1757, RFC 2011, 2012, 2013, RFC 2233, RFC 2358, RFC 2674, RFC 2819, 2925, RFC 3621, RFC 4022, RFC 4113, RFC 4292, RFC 4293 |
Ports & interfaces
| Specification | Value |
|---|---|
| Combo SFP ports quantity | 4 |
| SFP module slots quantity | 24 |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
| 10G support | No |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| Spanning tree protocol | Yes |
| Virtual LAN features | Stacked VLAN, Tagged VLAN |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 16000 entries |
| Switching capacity | 56 Gbit/s |
| Throughput | 41.67 Mpps |
| Jumbo frames support | Yes |
| Jumbo frames | 9000 |
Security
| Specification | Value |
|---|---|
| IGMP snooping | Yes |
| BPDU filtering/protection | Yes |
| SSH/SSL support | Yes |
Protocols
| Specification | Value |
|---|---|
| Management protocols | SNMP v1, v2c, v3 |
Design
| Specification | Value |
|---|---|
| Rack mounting | Yes |
| Product colour | Black |
Power
| Specification | Value |
|---|---|
| AC input voltage | 100 - 240 V |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | No |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 50 °C |
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 95% |
| Storage relative humidity (H-H) | 5 - 95% |
Weight & dimensions
| Specification | Value |
|---|---|
| Width | 440 mm |
| Depth | 270 mm |
| Height | 44 mm |
| Weight | 3.72 kg |
What people say
Reviews & ratings
Zyxel MGS3520-28F Managed L2 Black
No reviews yet
Be the first to tell others how Zyxel MGS3520-28F Managed L2 Black works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare Zyxel MGS3520-28F Managed L2 Black
All network switch comparisons- Zyxel MGS3520-28F Managed L2 Black vsZyxel MGS3520-28 Managed L2 Gigabit Ethernet (10/100/1000) BlackCompare specs
- Zyxel MGS3520-28F Managed L2 Black vsZyxel S100-8HP-240W network switch Unmanaged Fast Ethernet (10/100) Power over Ethernet (PoE) BlackCompare specs
- Zyxel MGS3520-28F Managed L2 Black vsZyxel GS2210-8HP network switch Managed L2 Gigabit Ethernet (10/100/1000) BlackCompare specs
- Zyxel MGS3520-28F Managed L2 Black vsZyxel XS3700-24 Managed L2+Compare specs
- Zyxel MGS3520-28F Managed L2 Black vsFujitsu Brocade ICX6450-24Compare specs
- Zyxel MGS3520-28F Managed L2 Black vsDell X-Series X1008 Managed L2+ Gigabit Ethernet (10/100/1000) BlackCompare specs
- Zyxel MGS3520-28F Managed L2 Black vsNETGEAR FS108-300PES network switch Unmanaged L2 Fast Ethernet (10/100) BlueCompare specs
- Zyxel MGS3520-28F Managed L2 Black vsHP 1820-48G-PoE+ (370W)Compare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















